Set search filter

- « TableUpdate::set

- mysql_xdevapi\Warning »

- PHP Manual
- mysql_xdevapi\TableUpdate
- Set search filter

# TableUpdate::where

(No version information available, might only be in Git)

TableUpdate::where — Set search filter

### Description

public mysql_xdevapi\TableUpdate::where(string `$where_expr`): mysql_xdevapi\TableUpdate

Set the search condition to filter.

### Parameters

`where_expr`

  The search condition to filter documents or records.

### Return Values

A TableUpdate object.

### Examples

Example #1 mysql_xdevapi\TableUpdate::where() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    $res = $table->update()
      ->set('level', 3)
      ->where('age > 15 and age < 22')
      ->limit(4)
      ->orderby(['age asc','name desc'])
      ->execute();

    ?>